/* s3emul - "secu3 emulator"
   Copyright (C) 2016 andreika. Ukraine, Kiev

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

   contacts:
              http://secu-3.org/forum/ucp.php?i=pm&mode=compose&u=740

*/

#include "../s3emul.h"

#ifdef USE_VSPE

#include <windows.h>

#include "lib/VSPE_API.h"

#pragma comment(lib, "../../src/lib/VSPE_API.lib")


bool initVirtualPort(const std::string & portNameExt, std::string &portNameInt)
{
    std::cout << "Creating 'Virtual Serial Ports Emulator (VSPE)' connection...\n";
    if (!vspe_initialize())
    {
        std::cout << "ERROR! Cannot find virtual port driver! Please download and install 'Virtual Serial Ports Emulator'!\n";
        std::cout << "  http://www.eterlogic.com/Products.VSPE.html\n";
        return false;
    }
    return true;
}

bool deInitVirtualPort()
{
    vspe_release();
    return true;
}

#endif